<div>

    <div ng-if="isSlide">
        <slick infinite=false vertical=true settings="slickConfig" ng-class="{'ifArticleContestSlick':pageType!='article'}" vertical-swiping="true" ng-if="data.length" style="position:fixed;left:0;right:0;top:50px;bottom:0;z-index:9">
            <div ng-repeat="_poll in data" class="quiz_outer" ng-class="{'ifArticleContest':pageType=='article'}" style="background-image:url('{{_poll.thumbnail}}');height:{{windowHeight}}px;max-height:{{windowHeight}}px;">


                <div ng-if="_poll.type=='Poll'">
                    <div class="quiz_inner">
                        <h2>{{_poll.title}}</h2>
                        <ul class="quiz_main " ng-if="!_poll.attempted">
                            <li class="progress" ng-repeat="options in _poll.questions[0].options" ng-click='poll.vote($parent.$index,_poll.questions[0].questionId,options.optionId)'>
                                <div class="progress-bar" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100"> {{options.optionText}} </div>
                            </li>

                        </ul>
                        <h3>{{display_txt}}</h3>
                        <ul class="quiz_main attempted" ng-if="_poll.attempted">
                            <li class="progress" ng-repeat="options in _poll.questions[0].options">
                                <div class="progress-bar" role="progressbar" aria-valuenow="{{_poll.results[options.optionId]}}" aria-valuemin="0" aria-valuemax="100" style="width: {{_poll.results[options.optionId]}}%;"> {{options.optionText}} </div>
                                <span class="poll_span">{{_poll.results[options.optionId]}}%</span>
                            </li>
                        </ul>
                    </div>
                </div>
                <div ng-if="_poll.type=='Contest'">
                  <div class="quiz_inner" ng-init="_contest=_poll">

                      <div ng-if="!_contest.attempted">
                        <!-- <slick  autoplay=false draggable=false slides-to-show="1" slides-to-scroll="1" settings="contestConfig" ng-if="_contest.questions.length" > -->
                          <div ng-repeat="question in _contest.questions" ng-init="_contest.currentIndex=(_contest.currentIndex)?_contest.currentIndex:0;">
                            <div ng-show="_contest.currentIndex==$index">

                              <h2>{{question.questionText}}</h2>
                              <ul class="quiz_main attempted">
                                <li class="progress" ng-repeat="options in question.options" ng-click='contest.answer($parent.$parent.$index,question.questionId,options.optionId,$parent.$index)'>
                                  <div class="progress-bar" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100"> {{options.optionText}} </div>
                                </li>

                              </ul>
                            </div>
                          </div>
                        <!-- </slick> -->
                      </div>

                      <h3>{{display_txt}}</h3>
                      <div class="quiz_main attempted" ng-if="_contest.attempted">
                        <div class="contest_congrats">
                          <h3>Thanks for participating, we will get back to you soon.</h3>
                        </div>
                      </div>

                  </div>
                </div>

            </div>
        </slick>
    </div>
    <div ng-if="!isSlide">
        <div class="quiz_outer">
          <img style="width:100%;" src="{{data.thumbnail}}" />
       
        <div ng-if="data.type=='Poll'">
            <div class="quiz_inner">
                <h2>{{_poll.title}}</h2>
                <ul class="quiz_main " ng-if="!_poll.attempted">
                    <li class="progress" ng-repeat="options in _poll.questions[0].options" ng-click='poll.vote($parent.$index,_poll.questions[0].questionId,options.optionId)'>
                        <div class="progress-bar" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100"> {{options.optionText}} </div>
                    </li>

                </ul>
                <h3>{{display_txt}}</h3>
                <ul class="quiz_main attempted" ng-if="_poll.attempted">
                    <li class="progress" ng-repeat="options in _poll.questions[0].options">
                        <div class="progress-bar" role="progressbar" aria-valuenow="{{_poll.results[options.optionId]}}" aria-valuemin="0" aria-valuemax="100" style="width: {{_poll.results[options.optionId]}}%;"> {{options.optionText}}<span>{{_poll.results[options.optionId]}}%</span> </div>
                    </li>
                </ul>
            </div>
        </div>
        <div ng-if="data.type=='Contest'">
          <div class="quiz_inner" style="position: relative;" ng-init="_contest=data">

              <div ng-if="!_contest.attempted">
                <!-- <slick  autoplay=false draggable=false slides-to-show="1" slides-to-scroll="1" settings="contestConfig" ng-if="_contest.questions.length" > -->
                  <div ng-repeat="question in _contest.questions" ng-init="_contest.currentIndex=(_contest.currentIndex)?_contest.currentIndex:0;">
                    <div ng-show="_contest.currentIndex==$index">

                      <h2>{{question.questionText}}</h2>
                      <ul class="quiz_main attempted">
                        <li class="progress" ng-repeat="options in question.options" ng-click='contest.answer($index,question.questionId,options.optionId,$parent.$index)'>
                          <div class="progress-bar" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100"> {{options.optionText}} </div>
                        </li>

                      </ul>
                    </div>
                  </div>
                <!-- </slick> -->
              </div>

              <h3>{{display_txt}}</h3>
              <div class="quiz_main attempted" ng-if="_contest.attempted">
                <div class="contest_congrats">
                  <h3>Thanks for participating, we will get back to you soon.</h3>
                  <div class="contest_congrats_circle"> <span>You have scored</span> <b>{{_contest.results}}</b> </div>
                </div>
              </div>

          </div>
        </div>
      </div>
    </div>
</div>
<style>
.container-fluid{
  min-height: 100%;
  margin-bottom: 0px;
}
.ifArticleContest{
  margin-top: 40px;
}
.ifArticleContestSlick{
  top: 90px !important;
}
</style>
